<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioProdutosMarca" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="9d5ce58f-cf2c-49e3-a6d2-8d078684043e">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="Crosstab Data Text" hAlign="Center"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["C:\\Desenv\\WorkSpace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="deQuantosPares" class="java.lang.Integer"/>
	<parameter name="ateQuantosPares" class="java.lang.Integer"/>
	<parameter name="ateDataCompra" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT DISTINCT
    empresa.idEmpresaFisica AS idEmpresaFisica,
    grupo.idgrupoproduto,
    grupo.descricao AS descricaoGrupo,
    marca.idmarca,
    marca.descricao AS descricaoMarca,
    produto.idProduto,
    produto.nomeProduto,
    (SELECT
    SUM(saldo) from saldoestoqueproduto
    inner join estoqueproduto ON estoqueProduto.idEstoqueProduto = saldoEstoqueProduto.idEstoqueProduto
    where estoqueProduto.idProduto = produto.idProduto and saldoEstoqueProduto.mes = empresa.mesAberto and saldoEstoqueProduto.ano = empresa.anoAberto
    and saldoEstoqueProduto.idEmpresaFisica = empresa.idEmpresaFisica) as saldo,
    saldo.custo AS custo,
    saldo.venda AS venda,
    (SELECT
            MAX(doc.dataEntradaSaida)
        FROM
            itemdocumentoentradasaida item
                INNER JOIN
            documentoentradasaida doc ON doc.idDocumentoEntradaSaida = item.iddocumentoentradasaida
        WHERE
            item.idProduto = produto.idProduto
                AND doc.idEmpresaFisica = empresa.idEmpresaFisica) AS dataEntrada,
    (SELECT
            doc.numeroNotaFiscal
        FROM
            itemdocumentoentradasaida item
                INNER JOIN
            documentoentradasaida doc ON doc.idDocumentoEntradaSaida = item.iddocumentoentradasaida
        WHERE
            item.idProduto = produto.idProduto
                AND doc.idEmpresaFisica = empresa.idEmpresaFisica
                AND doc.dataEntradaSaida = (SELECT
                    MAX(doc.dataEntradaSaida)
                FROM
                    itemdocumentoentradasaida item
                        INNER JOIN
                    documentoentradasaida doc ON doc.idDocumentoEntradaSaida = item.iddocumentoentradasaida
                WHERE
                    item.idProduto = produto.idProduto
                        AND doc.idEmpresaFisica = empresa.idEmpresaFisica) group by doc.idDocumentoEntradaSaida) AS numeroNotaFiscal,
    (SELECT
            SUM(item.quantidadeTotal) AS dataEntrada
        FROM
            itemdocumentoentradasaida item
                INNER JOIN
            documentoentradasaida doc ON doc.idDocumentoEntradaSaida = item.iddocumentoentradasaida
        WHERE
            item.idProduto = produto.idProduto
                AND doc.idEmpresaFisica = empresa.idEmpresaFisica
                AND doc.dataEntradaSaida = (SELECT
                    MAX(doc.dataEntradaSaida)
                FROM
                    itemdocumentoentradasaida item
                        INNER JOIN
                    documentoentradasaida doc ON doc.idDocumentoEntradaSaida = item.iddocumentoentradasaida
                WHERE
                    item.idProduto = produto.idProduto
                        AND doc.idEmpresaFisica = empresa.idEmpresaFisica)) AS qtdEntrada
FROM
    produto produto
        INNER JOIN
    grupoproduto grupo ON grupo.idGrupoProduto = produto.idGrupoProduto
        INNER JOIN
    estoqueproduto estoque ON estoque.idproduto = produto.idproduto
        INNER JOIN
    saldoestoqueproduto saldo ON saldo.idestoqueproduto = estoque.idestoqueproduto
        INNER JOIN
    empresaFisica empresa ON empresa.idempresafisica = saldo.idempresafisica
        INNER JOIN
    marca marca ON marca.idmarca = produto.idmarca
        LEFT OUTER JOIN
    itemDocumentoEntradaSaida ON itemDocumentoEntradaSaida.idProduto = produto.idProduto
        LEFT OUTER JOIN
    documentoentradasaida ON documentoEntradaSaida.idEmpresaFisica = empresa.idEmpresaFisica
        AND documentoentradasaida.idDocumentoEntradaSaida = itemDocumentoEntradaSaida.idDocumentoEntradaSaida
WHERE
    documentoEntradaSaida.idDocumentoEntradaSaida IS NOT NULL
        AND saldo.idEmpresaFisica NOT IN (50 , 60, 61, 62)
        AND saldo.mes = empresa.mesAberto
        AND saldo.ano = empresa.anoAberto
        AND produto.idGrupoProduto = 1
        AND saldo.saldo >= 20
        AND saldo.saldo <= 50
group by produto.idProduto, empresa.idEmpresaFisica
ORDER BY grupo.idGrupoProduto , marca.idMarca , empresa.idEmpresaFisica]]>
	</queryString>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="idgrupoproduto" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Codigo]]></fieldDescription>
	</field>
	<field name="descricaoGrupo" class="java.lang.String"/>
	<field name="idmarca" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Código]]></fieldDescription>
	</field>
	<field name="descricaoMarca" class="java.lang.String"/>
	<field name="idProduto" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Codigo]]></fieldDescription>
	</field>
	<field name="nomeProduto" class="java.lang.String">
		<fieldDescription><![CDATA[nomeProduto:Nome Produto]]></fieldDescription>
	</field>
	<field name="saldo" class="java.lang.Double">
		<fieldDescription><![CDATA[saldo:Saldo]]></fieldDescription>
	</field>
	<field name="custo" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="venda" class="java.lang.Double">
		<fieldDescription><![CDATA[venda:Venda]]></fieldDescription>
	</field>
	<field name="dataEntrada" class="java.sql.Date"/>
	<field name="qtdEntrada" class="java.math.BigDecimal"/>
	<field name="margem" class="java.lang.String"/>
	<variable name="VAR_GRUPO" class="java.lang.String" resetType="Group" resetGroup="groupGrupo">
		<variableExpression><![CDATA["TODOS"]]></variableExpression>
	</variable>
	<group name="groupGrupo" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[$F{idgrupoproduto}]]></groupExpression>
		<groupHeader>
			<band height="25">
				<rectangle>
					<reportElement uuid="c99f7024-b798-420a-9430-7413650334a9" x="0" y="5" width="802" height="15" backcolor="#E5F0F2"/>
					<graphicElement>
						<pen lineWidth="0.0"/>
					</graphicElement>
				</rectangle>
				<staticText>
					<reportElement uuid="9ce1f5bf-4169-451e-8f22-c5c3250308b8" x="0" y="6" width="37" height="15"/>
					<textElement verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<text><![CDATA[Grupo:]]></text>
				</staticText>
				<textField isBlankWhenNull="true">
					<reportElement uuid="fdff29ee-ed3f-49d5-8d20-1f7c309e7b3d" x="40" y="6" width="447" height="15"/>
					<textElement verticalAlignment="Middle"/>
					<textFieldExpression><![CDATA[$F{idgrupoproduto}+" - "+$F{descricaoGrupo}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="41">
				<elementGroup>
					<crosstab ignoreWidth="true">
						<reportElement uuid="d1ccf85c-a7e6-4f4b-8b41-5c6422c1af85" x="1" y="1" width="802" height="40"/>
						<crosstabDataset>
							<dataset resetType="Group" resetGroup="groupGrupo"/>
						</crosstabDataset>
						<crosstabHeaderCell>
							<cellContents>
								<staticText>
									<reportElement uuid="749b02ee-5b79-424f-9b92-bd4bfccc0764" style="Crosstab Data Text" x="0" y="0" width="120" height="15"/>
									<textElement/>
									<text><![CDATA[Marca]]></text>
								</staticText>
							</cellContents>
						</crosstabHeaderCell>
						<rowGroup name="descricaoMarca" width="120" totalPosition="End">
							<bucket class="java.lang.String">
								<bucketExpression><![CDATA[$F{idmarca} + " - " + $F{descricaoMarca}]]></bucketExpression>
							</bucket>
							<crosstabRowHeader>
								<cellContents backcolor="#F0F8FF" mode="Opaque">
									<box>
										<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
									</box>
									<textField>
										<reportElement uuid="672ef229-a176-4c03-9af6-bdc7fc0cc3d2" style="Crosstab Data Text" x="3" y="0" width="89" height="12"/>
										<textElement textAlignment="Left" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<textFieldExpression><![CDATA[$V{descricaoMarca}]]></textFieldExpression>
									</textField>
								</cellContents>
							</crosstabRowHeader>
							<crosstabTotalRowHeader>
								<cellContents backcolor="#BFE1FF" mode="Opaque">
									<box>
										<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
									</box>
									<staticText>
										<reportElement uuid="9ba772f9-48d3-47c5-a403-ce2aeb187e36" x="3" y="0" width="70" height="12"/>
										<textElement verticalAlignment="Middle">
											<font size="9"/>
										</textElement>
										<text><![CDATA[Total descricaoMarca]]></text>
									</staticText>
								</cellContents>
							</crosstabTotalRowHeader>
						</rowGroup>
						<rowGroup name="produto" width="185">
							<bucket class="java.lang.String">
								<bucketExpression><![CDATA[$F{idProduto} + " - " + $F{nomeProduto}]]></bucketExpression>
							</bucket>
							<crosstabRowHeader>
								<cellContents backcolor="#F0F8FF" mode="Opaque">
									<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
										<pen lineWidth="0.5"/>
										<topPen lineWidth="0.5"/>
										<leftPen lineWidth="0.5"/>
										<bottomPen lineWidth="0.5"/>
										<rightPen lineWidth="0.5"/>
									</box>
									<textField>
										<reportElement uuid="a867c9dc-f243-4bea-8155-cd31d873682c" style="Crosstab Data Text" x="10" y="0" width="175" height="12"/>
										<textElement textAlignment="Left">
											<font size="9"/>
										</textElement>
										<textFieldExpression><![CDATA[$V{produto}]]></textFieldExpression>
									</textField>
								</cellContents>
							</crosstabRowHeader>
							<crosstabTotalRowHeader>
								<cellContents/>
							</crosstabTotalRowHeader>
						</rowGroup>
						<columnGroup name="idEmpresaFisica" height="15" totalPosition="End">
							<bucket class="java.lang.Integer">
								<bucketExpression><![CDATA[$F{idEmpresaFisica}]]></bucketExpression>
							</bucket>
							<crosstabColumnHeader>
								<cellContents backcolor="#F0F8FF" mode="Opaque">
									<box>
										<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
									</box>
									<textField>
										<reportElement uuid="31c35a15-f29e-4502-b179-ffa627fa9b99" style="Crosstab Data Text" x="0" y="0" width="17" height="12"/>
										<textElement>
											<font size="8"/>
										</textElement>
										<textFieldExpression><![CDATA["F-"+$V{idEmpresaFisica}]]></textFieldExpression>
									</textField>
								</cellContents>
							</crosstabColumnHeader>
							<crosstabTotalColumnHeader>
								<cellContents backcolor="#BFE1FF" mode="Opaque">
									<box>
										<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
									</box>
									<staticText>
										<reportElement uuid="e5de24dd-d25d-412c-a8ab-6d5481cd04ad" mode="Transparent" x="0" y="1" width="22" height="11" backcolor="#FFFFFF"/>
										<textElement textAlignment="Right" verticalAlignment="Middle" markup="none">
											<font size="8" isBold="true" isUnderline="false" isStrikeThrough="false"/>
										</textElement>
										<text><![CDATA[Total]]></text>
									</staticText>
									<staticText>
										<reportElement uuid="d288bb21-8404-4390-9265-bd47f1b17baa" x="24" y="1" width="42" height="11"/>
										<textElement textAlignment="Center" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<text><![CDATA[Data NF]]></text>
									</staticText>
									<staticText>
										<reportElement uuid="e5afb583-f484-4056-a14d-41304b7dc6f8" x="175" y="1" width="40" height="11"/>
										<textElement textAlignment="Right" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<text><![CDATA[MARGEM]]></text>
									</staticText>
									<staticText>
										<reportElement uuid="4e3fff41-a87b-4d6e-919b-68847f98b4ff" x="111" y="1" width="30" height="11"/>
										<textElement textAlignment="Right" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<text><![CDATA[Custo]]></text>
									</staticText>
									<staticText>
										<reportElement uuid="1f97ab90-c106-4d09-8b9a-4e27bdc0489e" x="143" y="1" width="30" height="11"/>
										<textElement textAlignment="Right" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<text><![CDATA[Venda]]></text>
									</staticText>
									<staticText>
										<reportElement uuid="ebacf34f-db7e-4aab-b6f2-9432331073cd" x="66" y="1" width="43" height="11"/>
										<textElement textAlignment="Right" verticalAlignment="Middle">
											<font size="8" isBold="true"/>
										</textElement>
										<text><![CDATA[QTD. NF]]></text>
									</staticText>
								</cellContents>
							</crosstabTotalColumnHeader>
						</columnGroup>
						<measure name="saldoMeasure" class="java.lang.Double" calculation="Sum">
							<measureExpression><![CDATA[$F{saldo}]]></measureExpression>
						</measure>
						<measure name="dataMeasure" class="java.util.Date">
							<measureExpression><![CDATA[$F{dataEntrada}]]></measureExpression>
						</measure>
						<measure name="margemMeasure" class="java.lang.String">
							<measureExpression><![CDATA[$F{margem}]]></measureExpression>
						</measure>
						<measure name="custoMeasure" class="java.lang.Double">
							<measureExpression><![CDATA[$F{custo}]]></measureExpression>
						</measure>
						<measure name="vendaMeasure" class="java.lang.Double">
							<measureExpression><![CDATA[$F{venda}]]></measureExpression>
						</measure>
						<measure name="QtdMeasure" class="java.math.BigDecimal">
							<measureExpression><![CDATA[$F{qtdEntrada}]]></measureExpression>
						</measure>
						<crosstabCell width="17" height="12">
							<cellContents>
								<box>
									<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
								</box>
								<textField pattern="#,##0">
									<reportElement uuid="5bd3eeb2-26a1-4346-923e-1ee362f0ed73" style="Crosstab Data Text" x="0" y="0" width="17" height="12"/>
									<textElement verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{saldoMeasure}]]></textFieldExpression>
								</textField>
							</cellContents>
						</crosstabCell>
						<crosstabCell width="17" height="13" rowTotalGroup="descricaoMarca">
							<cellContents backcolor="#BFE1FF" mode="Opaque">
								<box>
									<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
								</box>
								<textField pattern="#,##0">
									<reportElement uuid="986ad35e-d2ea-4384-99c7-6f39603a0aff" style="Crosstab Data Text" x="0" y="0" width="17" height="12"/>
									<textElement verticalAlignment="Middle">
										<font size="9"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{saldoMeasure}]]></textFieldExpression>
								</textField>
							</cellContents>
						</crosstabCell>
						<crosstabCell width="218" height="12" columnTotalGroup="idEmpresaFisica">
							<cellContents backcolor="#BFE1FF" mode="Opaque">
								<box>
									<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
								</box>
								<textField pattern="#,##0">
									<reportElement uuid="2ceddbbd-70d5-47b0-9cca-25d01527a86a" style="Crosstab Data Text" x="0" y="0" width="22" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{saldoMeasure}]]></textFieldExpression>
								</textField>
								<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
									<reportElement uuid="6f8b3edf-09c9-4b47-9ce4-bbcefb875179" style="Crosstab Data Text" x="24" y="0" width="42" height="12"/>
									<textElement textAlignment="Center" verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{dataMeasure}]]></textFieldExpression>
								</textField>
								<textField pattern="###0" isBlankWhenNull="true">
									<reportElement uuid="404663e4-9c96-425f-af66-3ea7cca4a0e4" style="Crosstab Data Text" x="175" y="0" width="40" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="8" isBold="true"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{margemMeasure}]]></textFieldExpression>
								</textField>
								<textField pattern="#,##0.00" isBlankWhenNull="true">
									<reportElement uuid="8d13844c-9d50-4e17-93e6-7ce34c287c4c" style="Crosstab Data Text" x="111" y="0" width="30" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{custoMeasure}]]></textFieldExpression>
								</textField>
								<textField pattern="#,##0.00" isBlankWhenNull="true">
									<reportElement uuid="e5b5e539-fead-49fb-9157-6a15cb743636" style="Crosstab Data Text" x="143" y="0" width="30" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{vendaMeasure}]]></textFieldExpression>
								</textField>
								<textField pattern="#,##0" isBlankWhenNull="true">
									<reportElement uuid="743e9438-cea4-4081-b3b8-b892ccd22b67" style="Crosstab Data Text" x="66" y="0" width="43" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="8"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{QtdMeasure}]]></textFieldExpression>
								</textField>
							</cellContents>
						</crosstabCell>
						<crosstabCell width="218" height="13" rowTotalGroup="descricaoMarca" columnTotalGroup="idEmpresaFisica">
							<cellContents backcolor="#BFE1FF" mode="Opaque">
								<box>
									<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
								</box>
								<textField pattern="#,##0">
									<reportElement uuid="18c6989a-5f76-4149-a4e2-1b0f81eb82c0" style="Crosstab Data Text" x="0" y="0" width="22" height="12"/>
									<textElement textAlignment="Right" verticalAlignment="Middle">
										<font size="9"/>
									</textElement>
									<textFieldExpression><![CDATA[$V{saldoMeasure}]]></textFieldExpression>
								</textField>
							</cellContents>
						</crosstabCell>
						<crosstabCell rowTotalGroup="produto">
							<cellContents/>
						</crosstabCell>
						<crosstabCell rowTotalGroup="produto" columnTotalGroup="idEmpresaFisica">
							<cellContents/>
						</crosstabCell>
					</crosstab>
				</elementGroup>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="52" splitType="Stretch">
			<textField pattern="dd/MM/yyyy HH.mm.ss">
				<reportElement uuid="05c0ae42-f58c-4a2b-9f4c-78ec21f3bbe3" x="702" y="0" width="100" height="10"/>
				<textElement textAlignment="Right">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="fdc66a9d-0142-4ffa-b1b3-42f50404781c" x="0" y="0" width="269" height="16"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Relatório de Estoque Por Grupo Data Compra]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="57f6f56c-efa9-4752-873d-1aa4e7fe794d" x="1" y="16" width="83" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<text><![CDATA[De quantos pares:]]></text>
			</staticText>
			<textField>
				<reportElement uuid="73518d18-c827-4fa6-94a1-a9b5bf8a42b4" x="86" y="16" width="36" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{deQuantosPares}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="b9f47310-b808-4b31-89c8-23b07265141f" x="86" y="28" width="36" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ateQuantosPares}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="b2a9246f-0d95-41f9-aeee-400e1e6a87b4" x="1" y="28" width="83" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<text><![CDATA[Ate quantos pares:]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy">
				<reportElement uuid="c191664a-b7de-47e1-90f5-c7cc65801a60" x="86" y="40" width="70" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ateDataCompra}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="c60f4dfb-d4ec-4580-bd61-687e0590ab4a" x="1" y="40" width="83" height="12"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<text><![CDATA[Ate data Compra:]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band splitType="Stretch"/>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="10" splitType="Stretch">
			<textField>
				<reportElement uuid="427d7c47-100d-42e9-84be-9b243050845d" x="694" y="0" width="80" height="10"/>
				<textElement textAlignment="Right">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA["Pag. "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="5e1ecae4-8247-4469-89c4-b4060df8e624" x="773" y="0" width="28" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
